librime: rime::OffsetPtr< T, Offset > Class Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::OffsetPtr< T, Offset > Class Template Reference

`#include <mapped_file.h>`

## Public Member Functions
| OffsetPtr ()=default
| OffsetPtr (Offset offset)
| OffsetPtr (const T *ptr)
| OffsetPtr (const OffsetPtr< T > &ptr)
OffsetPtr< T > & | operator= (const OffsetPtr< T > &ptr)
OffsetPtr< T > & | operator= (const T *ptr)
| operator bool () const
T * | operator-> () const
T & | operator* () const
T & | operator[] (size_t index) const
T * | get () const

## Constructor & Destructor Documentation

## ◆ OffsetPtr() [1/4]

template<class T = char, class Offset = int32_t>

rime::OffsetPtr< T, Offset >::OffsetPtr | ( |  | ) |
| default

## ◆ OffsetPtr() [2/4]

template<class T = char, class Offset = int32_t>

rime::OffsetPtr< T, Offset >::OffsetPtr | ( | Offset | offset | ) |
| inline

## ◆ OffsetPtr() [3/4]

template<class T = char, class Offset = int32_t>

rime::OffsetPtr< T, Offset >::OffsetPtr | ( | const T * | ptr | ) |
| inline

## ◆ OffsetPtr() [4/4]

template<class T = char, class Offset = int32_t>

rime::OffsetPtr< T, Offset >::OffsetPtr | ( | const OffsetPtr< T > & | ptr | ) |
| inline

## Member Function Documentation

## ◆ get()

template<class T = char, class Offset = int32_t>

T * rime::OffsetPtr< T, Offset >::get | ( |  | ) | const
| inline

## ◆ operator bool()

template<class T = char, class Offset = int32_t>

rime::OffsetPtr< T, Offset >::operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<class T = char, class Offset = int32_t>

T & rime::OffsetPtr< T, Offset >::operator* | ( |  | ) | const
| inline

## ◆ operator->()

template<class T = char, class Offset = int32_t>

T * rime::OffsetPtr< T, Offset >::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

template<class T = char, class Offset = int32_t>

OffsetPtr< T > & rime::OffsetPtr< T, Offset >::operator= | ( | const OffsetPtr< T > & | ptr | ) |
| inline

## ◆ operator=() [2/2]

template<class T = char, class Offset = int32_t>

OffsetPtr< T > & rime::OffsetPtr< T, Offset >::operator= | ( | const T * | ptr | ) |
| inline

## ◆ operator[]()

template<class T = char, class Offset = int32_t>

T & rime::OffsetPtr< T, Offset >::operator[] | ( | size_t | index | ) | const
| inline

The documentation for this class was generated from the following file:

- mapped_file.h